#!/bin/bash
# Copyright (c) 2000-2020 Synology Inc. All rights reserved.

HA_PREFIX="/var/packages/HighAvailability/target"
#shellcheck source-path=SCRIPTDIR source=rc.subr
. ${HA_PREFIX}/etc/rc.subr

arping_remote_hb()
{
	local result
	if ! result=$(arping -c 1 -w 3 -I "$DRBD_IF" "$DRBD_IP_REMOTE" 2>&1); then
		result=$(echo "$result" | tr '\n' ' ')
		echo "fail"
		echo "$result"
	else
		result=$(echo "$result" | tr '\n' ' ')
		echo "success"
		echo "$result" | grep -oE "([[:alnum:]]{2}:){5}[[:alnum:]]{2}"
		echo "$result" | grep -oE "[0-9.]+ms"
		echo "$result" | grep -oE "Sent [0-9]+ probes"
	fi
	return 0
}

action=$1; shift
case "$action" in
	arping_remote_hb)
		arping_remote_hb
		;;
esac

exit $?
