#!/bin/sh

. /var/packages/HighAvailability/target/etc/rc.subr

pre_up ()
{
	:
}

post_up ()
{
	[ "`get_key_value /etc/synoinfo.conf runha`" != "yes" ] && return
	is_support_xa && return

	if [ "$ACTION" = "NEW" ]; then
		if [ "0.0.0.0" = "$DESTINATION" ]; then
			if ! try_lock_change_gw; then
				synoha_log notice "Skip set default gw src of $IFNAME due to someone holds change gw lock"
				return
			fi
			set_haip_as_gateway_src "$IFNAME"
			unlock_change_gw
		else
			check_haip_as_gateway_src "$IFNAME"
		fi
	fi
}

case $1 in
	--sdk-mod-ver)
		#Print SDK support version
		echo "1.0"
		;;
	--name)
		#Print package name
		echo "Synology High-Availability"
		;;
	--pkg-ver)
		#Print package version
		echo "1.0"
		;;
	--vendor)
		#Print package vendor
		echo "Synology"
		;;
	--pre)
		pre_up
		;;
	--post)
		post_up &
		;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
		;;
esac

